Gas operations
Check a wallet now
POST
When the wallet is not low, returns status: healthy and no operation. When it is low, records a watch-only gas operation, alerts the organization, and returns it. If the wallet already has an active operation, that operation is returned instead of a new one.
apiKeyAuthheader
X-API-Key<token>Organization-owned GasTanker API key.
idempotency-key*stringLength
1 <= length <= 255application/json- body
walletId*stringLength
1 <= lengthResponse for status 200
application/json- response
id*stringorganizationId*stringwalletId*stringpolicyId*stringobservedBalanceBaseUnits*stringDecimal string in the wallet network's native-asset base units (wei, lamports, stroops or MIST).
Match
^(0|[1-9][0-9]*)$requiredBaseUnits*stringDecimal string in the wallet network's native-asset base units (wei, lamports, stroops or MIST).
Match
^(0|[1-9][0-9]*)$status*stringidempotencyKey*stringcreatedAt*stringcurl -X POST 'https://api.gastanker.xyz/v1/gas/ensure' \ -H 'idempotency-key: string' \ -H 'Content-Type: application/json' \ -d '{ "walletId": "string"}'{ "id": "string", "organizationId": "string", "walletId": "string", "policyId": "string", "observedBalanceBaseUnits": "string", "requiredBaseUnits": "string", "status": "string", "idempotencyKey": "string", "createdAt": "string"}